Subject: bug#9409: 24.0.50; log-view-msg-prev, easy-mmode

From: Eduard Wiebe <[email-masked]>
Date: Tue, 13 Sep 2011 21:38:40 +0200

Stefan Monnier <[email-masked]> writes:

>>> Can you apply this patch to the trunk.
>> I'm not sure if the change is appropriate, for all users of that macro.
>> (I don't have much of an opinion about it.)
>
> I think the change is a good one. 

1+

> So if someone could check the various uses of that macro to make sure
> it doesn't break anything, we can install it.

I found following uses of the macro:

  1889060   84 -rw-r--r--   1 ew       ew          80974 Sep  9 20:59 vc/diff-mode.el
  1892302   24 -rw-r--r--   1 ew       ew          21559 Aug 27 17:25 vc/log-view.el
  1892363   56 -rw-r--r--   1 ew       ew          51035 Aug 27 17:25 vc/smerge-mode.el
  1889741   20 -rw-r--r--   1 ew       ew          17799 Aug 27 17:25 vc/cvs-status.el

I patched `easy-mmode-define-navigation' as above and tested (marked as X) the
most functions without any trouble.

* diff-mode.el
  - [X] diff-hunk-prev
  - [X] diff-hunk-next
  - [X] diff-file-prev
  - [X] diff-file-next

* log-view.el
  - [X] log-view-msg-prev
  - [X] log-view-msg-next
  - [ ] log-view-file-prev
  - [ ] log-view-file-next

* smerge-mode
  - [ ] smerge-next
  - [ ] smerge-prev

* cvs-status
  - [X] cvs-status-next
  - [X] cvs-status-prev

-- 
Eduard Wiebe